const ms =require("ms")
const {MessageEmbed} = require('discord.js')


module.exports.run = async (client, message, args, settings) => {
        let user = message.guild.member(message.mentions.users.first());
            let muteRole = message.guild.roles.cache.find(role => role.name === 'muted')
            let muteTime = (args[1] || '60s')
    if (!muteRole){
        muteRole = await message.guild.roles.create({
            data: {
                name: 'muted',
                color: '#000',
                permissions :[]
            }
        });
    message.guild.channels.cache.forEach(async (channel, id) => {
        await channel.updateOverwrite(muteRole, {
            SEND_MESSAGES : false,
            ADD_REACTIONS : false,
            CONNECT: false
        });

    });
    }

    await user.roles.add(muteRole.id)
    message.channel.send(`Bravo ! <@${user.id}> est **mute** pour ${ms(ms(muteTime))} !`)

    setTimeout(() => {
    user.roles.remouve(muteRole.id)
    }), ms(muteTime);
    const embed = new MessageEmbed()
    .setAuthor(`${user.username} (${user.id}),`)
    .setColor("#ff6600")
    .setDescription(`**Action**:  __mute__`)
    .setThumbnail(user.avatarURL())
    .setTimestamp()
    .setFooter(message.author.username, message.author.avatarURL())

  const log_channel = client.channels.cache.get(settings.logChannel).send(embed);
 };
 module.exports.help = {
    name: "mute",
    aliases : ['taire'],
    category: "admin",
    description: "Permet de mute une personnes",
    usage : '<@user> <time>',
    isUserAdmin: true,
    cooldown: 10,
    permissions : true,
    args: true
    }
    