const {MessageEmbed} = require('discord.js')

module.exports.run = async (client, message, args, settings) =>{
    if(!message.member.hasPermission("ADMINISTRATOR")) return message.channel.send('Oups ! Vous avez pas les permission pour (||Cheh||)')
     
    const user = message.mentions.users.first();
    const reason = (args.splice(1).join(' ') || 'Aucune raison spéciale !');
    user ? message.guild.member(user).kick(reason) : message.channel.send('Utilisateur **inexistant !**')
  
const embed = new MessageEmbed()
    .setAuthor(`${user.username} (${user.id}),`)
    .setColor("#ffa500")
    .setDescription(`**Action**:  __kick__\n **Raison**: ${reason}`)
    .setThumbnail(user.avatarURL())
    .setTimestamp()
    .setFooter(message.author.username, message.author.avatarURL())

  const log_channel = client.channels.cache.get(settings.logChannel).send(embed);
    };

    module.exports.help = {
      name: "kick",
      aliases : ['expulse'],
      category: "admin",
      description: "Permet de kick une personnes",
      usage : '<@user>',
      isUserAdmin: true,
      cooldown: 10,
      permissions : true,
      args: true
      }