const {Collection} = require('discord.js');


module.exports = async (client, message) => {
    const settings = await client.getGuild(message.guild);
    const dbUser = await client.getUser(message.member);
    if (message.channel.type === "dm") return client.emit("directMessage")
    if (message.author.bot) return;

    if(!dbUser) await client.createUser({
        guildID: message.member.guild.id,
        guildName: message.member.guild.name,
        userID: message.member.id,
        username: message.member.user.tag,
    });

    const exCD = Math.floor(Math.random()* 19) + 1;
    const expTOADD = Math.floor(Math.random()* 25) + 10;;

    if (exCD >= 8 && exCD <= 11) message.channel.send()
    
    await client.addExp(client, message.member, expTOADD)

    const userLevel = Math.floor(0.02 * Math.sqrt(dbUser.experience));
    if (dbUser.level < userLevel) {
        message.reply(`Super ! Tu vient de monter au level **${userLevel}** !`)
        client.updateUser(message.member, {level: userLevel})
    }

    if (!message.content.startsWith(settings.prefix)) return;




    const args = message.content.slice(settings.prefix.length).split(/ +/);
const user = message.mentions.users.first();
console.log(args);
const commandName = args.shift().toLowerCase();




const command = client.commands.get(commandName) || client.commands.find(cmd => cmd.help.aliases && cmd.help.aliases.includes(commandName));
if (!command) return ;

if (command.help.args &&  !args.length) {
     let NoArgsReply = `Il nous faut plus de précision ${message.author} !`;
if (command.help.permissions && !message.member.hasPermission('BAN_MEMBERS')) return message.reply("Oups ! Tu n'a pas les permissions !")

 if (command.help.usage) NoArgsReply += `\nVoici comment utilisé la commande: \`${settings.prefix}${command.help.name} ${command.help.usage}\` ` ;
    return message.channel.send(NoArgsReply);
}
if (command.help.isUserAdmin && !user) return message.reply("Oups ! Tu n'a pas mensionnez d'utilisateure")
if (command.help.isUserAdmin && message.guild.member(message.mentions.users.first()).hasPermission('BAN_MEMBERS')) return message.reply("Oups ! Tu ne peut pas utilisé cette comande contre cette personne !")
if (command.help.isUserAdmin && message.guild.member(message.mentions.users.first()).hasPermission('ADMINISTRATOR')) return message.reply("Oups ! Tu ne peut pas utilisé cette comande contre cette personne !")






console.log(command);

command.run(client, message, args, settings, dbUser);

   
    
}